| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::header_version Class Reference
Private

manages the archive header and trailer More...

`#include <header_version.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| header_version (const header_version &ref)
const header_version & | operator= (const header_version &ref)
void | read (generic_file &f, user_interaction &dialog, bool lax_mode)
| read the header or trailer from the archive
void | write (generic_file &f) const
| write down the object to the archive (as header if wrote at the beginning of the archive, as trailer is at the end)
void | set_edition (const archive_version &ed)
void | set_compression_algo (const compression &zip)
void | set_command_line (const std::string &line)
void | set_initial_offset (const infinint &offset)
void | set_sym_crypto_algo (const crypto_algo &algo)
void | set_crypted_key (memory_file *key)
| the object pointed to by key passes to the responsibility of this header_version object
void | clear_crypted_key ()
void | set_slice_layout (slice_layout *layout)
| the object pointed to by layout is passed under the responsibility of this header_version object
void | clear_slice_layout ()
void | set_tape_marks (bool presence)
void | set_signed (bool is_signed)
const archive_version & | get_edition () const
compression | get_compression_algo () const
const std::string & | get_command_line () const
const infinint & | get_initial_offset () const
bool | is_ciphered () const
bool | is_signed () const
crypto_algo | get_sym_crypto_algo () const
memory_file * | get_crypted_key () const
const slice_layout * | get_slice_layout () const
bool | get_tape_marks () const
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

manages the archive header and trailer

Definition at line 46 of file header_version.hpp.

The documentation for this class was generated from the following file:

- header_version.hpp